%define origname	texstudio

Name:		texstudio
Version:	3.0.4
Release:	%mkrel 1
Summary:	Free cross-platform LaTeX editor
License:	GPLv2+
Group:		Publishing
URL:		https://www.texstudio.org
Source0:	https://github.com/texstudio-org/texstudio/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		texstudio-install-manpage-and-icon.patch
Patch1:		texstudio-use-system-qtsingleapplication.patch
Patch3:		texstudio-disable-update-check.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	qtsingleapplication-qt5-devel
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	quazip-devel

%rename texmakerx

%description
TeXstudio is a LaTeX IDE that gives you an environment where you can easily
create and manage LaTeX documents. It provides modern writing support, like
interactive spell checking, code folding and syntax highlighting. Also it
serves as a starting point from where you can easily run all necessary
LaTeX tools.

%prep
%setup -q
%autopatch -p1

# remove bundled qtsingleapplication
rm -r src/qtsingleapplication

%build
%qmake_qt5 \
%ifarch aarch64
	NO_CRASH_HANDLER=1 \
%endif
	CONFIG-=debug \
	USE_SYSTEM_HUNSPELL=1 \
	USE_SYSTEM_QUAZIP=1 \
	USE_SYSTEM_QTSINGLEAPPLICATION=1 \
	texstudio.pro

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

for png in 128x128 48x48 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  install -m 0644 utilities/texstudio$png.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc utilities/AUTHORS utilities/manual/CHANGELOG.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jan 04 2021 daviddavid <daviddavid> 3.0.4-1.mga8
+ Revision: 1668541
- new version: 3.0.4

* Wed Dec 30 2020 daviddavid <daviddavid> 3.0.3-1.mga8
+ Revision: 1665669
- new version: 3.0.3

* Tue Dec 29 2020 daviddavid <daviddavid> 3.0.2-1.mga8
+ Revision: 1664710
- new version: 3.0.2

* Thu Dec 17 2020 umeabot <umeabot> 3.0.1-2.mga8
+ Revision: 1660019
- Rebuild for new Qt5

* Wed Sep 02 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1620822
- new version: 3.0.1

* Tue Aug 25 2020 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1618861
- new version: 3.0.0

* Mon Jul 20 2020 daviddavid <daviddavid> 2.12.22-3.mga8
+ Revision: 1607331
- add patch to fix build against Qt 5.15

* Wed Feb 19 2020 umeabot <umeabot> 2.12.22-2.mga8
+ Revision: 1543506
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 daviddavid <daviddavid> 2.12.22-1.mga8
+ Revision: 1481836
- new version: 2.12.22

* Thu Dec 26 2019 daviddavid <daviddavid> 2.12.18-1.mga8
+ Revision: 1470174
- new version: 2.12.18

* Wed May 22 2019 daviddavid <daviddavid> 2.12.16-1.mga7
+ Revision: 1398829
- new version: 2.12.16

* Tue Apr 02 2019 umeabot <umeabot> 2.12.14-2.mga7
+ Revision: 1385072
- Qt5 Rebuild

* Sat Dec 01 2018 daviddavid <daviddavid> 2.12.14-1.mga7
+ Revision: 1337065
- new version: 2.12.14

* Sun Nov 25 2018 daviddavid <daviddavid> 2.12.12-1.mga7
+ Revision: 1334252
- new version: 2.12.12
- rediff disable-update-check patch
- rediff and rename use-system-qtsingleapplication patch

* Fri Nov 23 2018 daviddavid <daviddavid> 2.12.10-4.mga7
+ Revision: 1333482
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 2.12.10-3.mga7
+ Revision: 1301392
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 wally <wally> 2.12.10-2.mga7
+ Revision: 1245872
- build without crash handler on aarch64

* Thu Jul 12 2018 daviddavid <daviddavid> 2.12.10-1.mga7
+ Revision: 1243175
- new version: 2.12.10

* Tue Feb 20 2018 daviddavid <daviddavid> 2.12.8-1.mga7
+ Revision: 1203555
- new version: 2.12.8
- update URL and Source URL
- rediff all patches

* Sun Sep 24 2017 daviddavid <daviddavid> 2.12.6-2.mga7
+ Revision: 1158442
- add patch to disable update check (mga#14577)

* Mon Jul 31 2017 daviddavid <daviddavid> 2.12.6-1.mga7
+ Revision: 1133071
- new version: 2.12.6

* Sun May 21 2017 schultz <schultz> 2.12.4-1.mga6
+ Revision: 1103859
- update to 2.12.4

* Wed Jan 25 2017 daviddavid <daviddavid> 2.12.2-1.mga6
+ Revision: 1083430
- new version: 2.12.2

* Sun Jan 08 2017 daviddavid <daviddavid> 2.12.0-1.mga6
+ Revision: 1080664
- new version: 2.12.0

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2.11.2-2.mga6
+ Revision: 1070648
- rebuild for poppler

* Fri Oct 07 2016 daviddavid <daviddavid> 2.11.2-1.mga6
+ Revision: 1059376
- new version: 2.11.2
- package some icons png

* Sat Sep 10 2016 daviddavid <daviddavid> 2.11.0-3.mga6
+ Revision: 1051389
- fix desktop svg icon not displayed in menu

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2.11.0-2.mga6
+ Revision: 1046203
- test rebuild for poppler

* Fri Aug 12 2016 daviddavid <daviddavid> 2.11.0-1.mga6
+ Revision: 1046101
- new version: 2.11.0
- enable quazip5 support and use system one
- improve use-system-qtsingleapplication patch
- add patch to fix install of upstream manpage

* Thu Apr 21 2016 tv <tv> 2.10.8-2.mga6
+ Revision: 1004209
- rebuid for libhunspell 1.4

* Sat Mar 26 2016 daviddavid <daviddavid> 2.10.8-1.mga6
+ Revision: 995672
- new version: 2.10.8
- switch build to Qt5
- add patches to use system qtsingleapplication and hunspell
- add patch to fix arm build
- use an upstream workaround for now to make it build with Qt5.6
  * https://sourceforge.net/p/texstudio/bugs/1718/

* Mon Feb 01 2016 umeabot <umeabot> 2.8.2-4.mga6
+ Revision: 929878
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.8.2-3.mga5
+ Revision: 745474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.2-2.mga5
+ Revision: 689852
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 malo <malo> 2.8.2-1.mga5
+ Revision: 671351
- forgot icon file
- update to 2.8.2

* Mon Jul 21 2014 diogenese <diogenese> 2.8.0-1.mga5
+ Revision: 654915
- Updated source to 2.8.0
- Updated texstudio sources to 2.8.0

* Sat Oct 19 2013 umeabot <umeabot> 2.6.2-2.mga4
+ Revision: 530178
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 2.6.2-1.mga4
+ Revision: 456486
- new version 2.6.2

* Thu Jan 17 2013 malo <malo> 2.5.2-1.mga3
+ Revision: 389214
- new version 2.5.2

* Mon Jan 14 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 384488
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 2.5.1-1.mga3
+ Revision: 323551
- new version 2.5.1

* Sun Sep 30 2012 malo <malo> 2.4-1.mga3
+ Revision: 300648
- update to new version 2.4

* Wed Jun 13 2012 fwang <fwang> 2.3-2.mga3
+ Revision: 260197
- rebuild for new poppler

* Sat Feb 11 2012 malo <malo> 2.3-1.mga2
+ Revision: 207312
- spec clean-up after import from Mandriva
- update to new version 2.3
- imported package texstudio


* Thu Dec 08 2011 Lev Givon <lev@mandriva.org> 2.2-1mdv2012.0
+ Revision: 739086
- Update to 2.2.
- Rename to texstudio.

* Sun Jan 30 2011 Lev Givon <lev@mandriva.org> 2.0-1
+ Revision: 634301
- Update to 2.0.

* Sat Aug 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.9a-1mdv2011.0
+ Revision: 567368
- New version 1.9.9a
- Fix package name
- Clean buildroot before install ( removed in previous commit )

* Sat Aug 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.9.9-2mdv2011.0
+ Revision: 567357
- Fix release
- Fix use of translations
- Fix qt4-devel  Buildrequire

* Mon Jul 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.9.9-1mdv2011.0
+ Revision: 554985
- import TexMakerX

